using SewerStammGen.DAL.Services;
using SewerStammGen.DAL.Services.PostgresqlData;
using SewerStammGen.Shared.Contracts;
using SewerStammGen.Shared.Domain;
using SewerStammGen.Shared.Enum;
using System.Diagnostics;

namespace SewerStammGen.ConsoleApp
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Test t = new();

            Debugger.Break();
        }
    }

    class Test
    {
        char[] zeile = new char[1476];
        public Test()
        {
            zeile = new char[1476];
            for(int i = 0; i < zeile.Length; i++)
            {
                zeile[i] = ' ';
            }
            WriteContent(new Tuple<uint, uint>(3, 17), "29283829");
            WriteContent(new Tuple<uint, uint>(56, 65), "S");
            WriteContent(new Tuple<uint, uint>(67, 76), "IB");
            WriteContent(new Tuple<uint, uint>(78, 87), "RESC");
            string result = new string(zeile);
        }

        void WriteContent(Tuple<uint, uint> spalten, string content)
        {
            uint start = spalten.Item1-1;
            uint ende = spalten.Item2-1;

            int counter = 0;

            for(uint i = start; i < (content.Length+start); i++)
            {
                zeile[i] = content[counter];

                counter++;
            }
        }
    }
}